Index: code/branches/core6/src/modules/overlays/stats/Scoreboard.cc
===================================================================
--- code/branches/core6/src/modules/overlays/stats/Scoreboard.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/stats/Scoreboard.cc	(revision 9629)
@@ -40,6 +40,6 @@
         @brief Constructor: Creates the scoreboard.
     */
-    Scoreboard::Scoreboard(BaseObject* creator)
-        : OrxonoxOverlay(creator)
+    Scoreboard::Scoreboard(Context* context)
+        : OrxonoxOverlay(context)
     {
         RegisterObject(Scoreboard);
Index: code/branches/core6/src/modules/overlays/stats/Scoreboard.h
===================================================================
--- code/branches/core6/src/modules/overlays/stats/Scoreboard.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/stats/Scoreboard.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
     public: // functions
-        Scoreboard(BaseObject* creator);
+        Scoreboard(Context* context);
         virtual ~Scoreboard();
 
Index: code/branches/core6/src/modules/overlays/stats/Stats.cc
===================================================================
--- code/branches/core6/src/modules/overlays/stats/Stats.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/stats/Stats.cc	(revision 9629)
@@ -44,6 +44,6 @@
         @brief Constructor: Creates and initializes the Stats panel.
     */
-    Stats::Stats(BaseObject* creator)
-        : OrxonoxOverlay(creator)
+    Stats::Stats(Context* context)
+        : OrxonoxOverlay(context)
         , statsOverlayNoise_(0)
         , statsOverlayBorder_(0)
Index: code/branches/core6/src/modules/overlays/stats/Stats.h
===================================================================
--- code/branches/core6/src/modules/overlays/stats/Stats.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/stats/Stats.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
     public: // functions
-        Stats(BaseObject* creator);
+        Stats(Context* context);
         virtual ~Stats();
 
Index: code/branches/core6/src/modules/pickup/Pickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/Pickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/Pickup.cc	(revision 9629)
@@ -56,5 +56,5 @@
         The objects creator.
     */
-    Pickup::Pickup(BaseObject* creator) : BaseObject(creator)
+    Pickup::Pickup(Context* context) : BaseObject(context)
     {
         RegisterObject(Pickup);
@@ -187,5 +187,5 @@
     bool Pickup::createSpawner(void)
     {
-        PickupSpawner::createDroppedPickup(this, this, this->getCarrier());
+        PickupSpawner::createDroppedPickup(this->getContext(), this, this->getCarrier());
         return true;
     }
Index: code/branches/core6/src/modules/pickup/Pickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/Pickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/Pickup.h	(revision 9629)
@@ -100,5 +100,5 @@
 
         public:
-            Pickup(BaseObject* creator); //!< Constructor.
+            Pickup(Context* context); //!< Constructor.
             virtual ~Pickup(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/PickupCollection.cc
===================================================================
--- code/branches/core6/src/modules/pickup/PickupCollection.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/PickupCollection.cc	(revision 9629)
@@ -53,5 +53,5 @@
         The creator of the object.
     */
-    PickupCollection::PickupCollection(BaseObject* creator) : BaseObject(creator)
+    PickupCollection::PickupCollection(Context* context) : BaseObject(context)
     {
         RegisterObject(PickupCollection);
@@ -328,5 +328,5 @@
     bool PickupCollection::createSpawner(void)
     {
-        PickupSpawner::createDroppedPickup(this, this, this->getCarrier());
+        PickupSpawner::createDroppedPickup(this->getContext(), this, this->getCarrier());
         return true;
     }
Index: code/branches/core6/src/modules/pickup/PickupCollection.h
===================================================================
--- code/branches/core6/src/modules/pickup/PickupCollection.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/PickupCollection.h	(revision 9629)
@@ -70,5 +70,5 @@
 
         public:
-            PickupCollection(BaseObject* creator); //!< Default Constructor.
+            PickupCollection(Context* context); //!< Default Constructor.
             virtual ~PickupCollection(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/PickupRepresentation.cc
===================================================================
--- code/branches/core6/src/modules/pickup/PickupRepresentation.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/PickupRepresentation.cc	(revision 9629)
@@ -64,5 +64,5 @@
         Default Constructor. Registers the object and initializes its member variables.
     */
-    PickupRepresentation::PickupRepresentation(BaseObject* creator) : BaseObject(creator), Synchronisable(creator), spawnerRepresentation_(NULL)
+    PickupRepresentation::PickupRepresentation(Context* context) : BaseObject(context), Synchronisable(context), spawnerRepresentation_(NULL)
     {
         RegisterObject(PickupRepresentation);
@@ -180,10 +180,10 @@
     StaticEntity* PickupRepresentation::getDefaultSpawnerRepresentation(PickupSpawner* spawner)
     {
-        StaticEntity* representation = new StaticEntity(spawner);
-        Billboard* sphere = new Billboard(spawner);
+        StaticEntity* representation = new StaticEntity(spawner->getContext());
+        Billboard* sphere = new Billboard(spawner->getContext());
         sphere->setColour(ColourValue(0.95f, 0.85f, 0.27f));
         sphere->setMaterial("Sphere2");
         sphere->setScale(0.1f);
-        Billboard* icon = new Billboard(spawner);
+        Billboard* icon = new Billboard(spawner->getContext());
         icon->setColour(ColourValue(0.89f, 0.79f, 0.08f));
         icon->setMaterial("asterisk");
Index: code/branches/core6/src/modules/pickup/PickupRepresentation.h
===================================================================
--- code/branches/core6/src/modules/pickup/PickupRepresentation.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/PickupRepresentation.h	(revision 9629)
@@ -95,5 +95,5 @@
         public:
             PickupRepresentation(); //!< Constructor
-            PickupRepresentation(BaseObject* creator); //!< Default constructor.
+            PickupRepresentation(Context* context); //!< Default constructor.
             virtual ~PickupRepresentation(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/branches/core6/src/modules/pickup/PickupSpawner.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/PickupSpawner.cc	(revision 9629)
@@ -55,5 +55,5 @@
         Pointer to the object which created this item.
     */
-    PickupSpawner::PickupSpawner(BaseObject* creator) : StaticEntity(creator), pickup_(NULL), representation_(NULL), pickupTemplate_(NULL)
+    PickupSpawner::PickupSpawner(Context* context) : StaticEntity(context), pickup_(NULL), representation_(NULL), pickupTemplate_(NULL)
     {
         RegisterObject(PickupSpawner);
@@ -99,7 +99,7 @@
         The distance at which the PickupSpawner will trigger.
     */
-    /*static*/ PickupSpawner* PickupSpawner::createDroppedPickup(BaseObject* creator, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance)
-    {
-        PickupSpawner* spawner = new PickupSpawner(creator);
+    /*static*/ PickupSpawner* PickupSpawner::createDroppedPickup(Context* context, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance)
+    {
+        PickupSpawner* spawner = new PickupSpawner(context);
 
         spawner->setPickupable(pickup);
@@ -289,5 +289,5 @@
             if (identifier != NULL)
             {
-                Pickupable* pickup = orxonox_cast<Pickupable*>(identifier->fabricate(this));
+                Pickupable* pickup = orxonox_cast<Pickupable*>(identifier->fabricate(this->getContext()));
                 orxonox_cast<BaseObject*>(pickup)->addTemplate(this->pickupTemplate_);
                 return pickup;
Index: code/branches/core6/src/modules/pickup/PickupSpawner.h
===================================================================
--- code/branches/core6/src/modules/pickup/PickupSpawner.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/PickupSpawner.h	(revision 9629)
@@ -77,8 +77,8 @@
     {
         public:
-            PickupSpawner(BaseObject* creator); //!< Default Constructor.
+            PickupSpawner(Context* context); //!< Default Constructor.
             virtual ~PickupSpawner(); //!< Destructor.
 
-            static PickupSpawner* createDroppedPickup(BaseObject* creator, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance = 10.0);
+            static PickupSpawner* createDroppedPickup(Context* context, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance = 10.0);
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< Method for creating a PickupSpawner through XML.
Index: code/branches/core6/src/modules/pickup/items/DamageBoostPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers the object and initializes the member variables.
     */
-    DamageBoostPickup::DamageBoostPickup(BaseObject* creator) : Pickup(creator)
+    DamageBoostPickup::DamageBoostPickup(Context* context) : Pickup(context)
     {
         RegisterObject(DamageBoostPickup);
Index: code/branches/core6/src/modules/pickup/items/DamageBoostPickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/items/DamageBoostPickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/DamageBoostPickup.h	(revision 9629)
@@ -49,5 +49,5 @@
         public:
 
-            DamageBoostPickup(BaseObject* creator); //!< Constructor.
+            DamageBoostPickup(Context* context); //!< Constructor.
             virtual ~DamageBoostPickup(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/items/DronePickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/DronePickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/DronePickup.cc	(revision 9629)
@@ -51,5 +51,5 @@
         Constructor. Registers the object and initializes the member variables.
     */
-    DronePickup::DronePickup(BaseObject* creator) : Pickup(creator)
+    DronePickup::DronePickup(Context* context) : Pickup(context)
     {
         RegisterObject(DronePickup);
@@ -126,5 +126,5 @@
 
                 //Attach to pawn
-                Drone* drone = new Drone(pawn->getCreator()); // this is neccessary because the projectiles fired need a valid creator for the particlespawner (when colliding against something)
+                Drone* drone = new Drone(pawn->getContext()); // this is neccessary because the projectiles fired need a valid creator for the particlespawner (when colliding against something)
                 drone->addTemplate(this->getDroneTemplate());
 
Index: code/branches/core6/src/modules/pickup/items/DronePickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/items/DronePickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/DronePickup.h	(revision 9629)
@@ -64,5 +64,5 @@
         public:
 
-            DronePickup(BaseObject* creator); //!< Constructor.
+            DronePickup(Context* context); //!< Constructor.
             virtual ~DronePickup(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/HealthPickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/HealthPickup.cc	(revision 9629)
@@ -53,5 +53,5 @@
         Constructor. Registers the object and initializes the member variables.
     */
-    HealthPickup::HealthPickup(BaseObject* creator) : Pickup(creator)
+    HealthPickup::HealthPickup(Context* context) : Pickup(context)
     {
         RegisterObject(HealthPickup);
Index: code/branches/core6/src/modules/pickup/items/HealthPickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/items/HealthPickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/HealthPickup.h	(revision 9629)
@@ -90,5 +90,5 @@
         public:
 
-            HealthPickup(BaseObject* creator); //!< Constructor.
+            HealthPickup(Context* context); //!< Constructor.
             virtual ~HealthPickup(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/InvisiblePickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/InvisiblePickup.cc	(revision 9629)
@@ -51,5 +51,5 @@
         Constructor. Registers the object and initializes the member variables.
     */
-    InvisiblePickup::InvisiblePickup(BaseObject* creator) : Pickup(creator)
+    InvisiblePickup::InvisiblePickup(Context* context) : Pickup(context)
     {
         RegisterObject(InvisiblePickup);
Index: code/branches/core6/src/modules/pickup/items/InvisiblePickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/items/InvisiblePickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/InvisiblePickup.h	(revision 9629)
@@ -70,5 +70,5 @@
         public:
 
-            InvisiblePickup(BaseObject* creator); //!< Constructor.
+            InvisiblePickup(Context* context); //!< Constructor.
             virtual ~InvisiblePickup(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/MetaPickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/MetaPickup.cc	(revision 9629)
@@ -55,5 +55,5 @@
         Constructor. Registers and initializes the object.
     */
-    MetaPickup::MetaPickup(BaseObject* creator) : Pickup(creator)
+    MetaPickup::MetaPickup(Context* context) : Pickup(context)
     {
         RegisterObject(MetaPickup);
Index: code/branches/core6/src/modules/pickup/items/MetaPickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/items/MetaPickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/MetaPickup.h	(revision 9629)
@@ -89,5 +89,5 @@
 
         public:
-            MetaPickup(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            MetaPickup(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~MetaPickup(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/ShieldPickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/ShieldPickup.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers the object and initializes the member variables.
     */
-    ShieldPickup::ShieldPickup(BaseObject* creator) : Pickup(creator)
+    ShieldPickup::ShieldPickup(Context* context) : Pickup(context)
     {
         RegisterObject(ShieldPickup);
Index: code/branches/core6/src/modules/pickup/items/ShieldPickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/items/ShieldPickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/ShieldPickup.h	(revision 9629)
@@ -76,5 +76,5 @@
         public:
 
-            ShieldPickup(BaseObject* creator); //!< Constructor.
+            ShieldPickup(Context* context); //!< Constructor.
             virtual ~ShieldPickup(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pickup/items/ShrinkPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/ShrinkPickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/ShrinkPickup.cc	(revision 9629)
@@ -52,5 +52,5 @@
         Constructor: Initializes the Pickup.
     */
-    ShrinkPickup::ShrinkPickup(BaseObject* creator) : Pickup(creator)
+    ShrinkPickup::ShrinkPickup(Context* context) : Pickup(context)
     {
         RegisterObject(ShrinkPickup);
Index: code/branches/core6/src/modules/pickup/items/ShrinkPickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/items/ShrinkPickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/ShrinkPickup.h	(revision 9629)
@@ -72,5 +72,5 @@
     {
         public:
-            ShrinkPickup(BaseObject* creator); // Constructor.
+            ShrinkPickup(Context* context); // Constructor.
             virtual ~ShrinkPickup(); // Destructor.
 
Index: code/branches/core6/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- code/branches/core6/src/modules/pickup/items/SpeedPickup.cc	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/SpeedPickup.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers the object and initializes the member variables.
     */
-    SpeedPickup::SpeedPickup(BaseObject* creator) : Pickup(creator)
+    SpeedPickup::SpeedPickup(Context* context) : Pickup(context)
     {
         RegisterObject(SpeedPickup);
Index: code/branches/core6/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- code/branches/core6/src/modules/pickup/items/SpeedPickup.h	(revision 9628)
+++ code/branches/core6/src/modules/pickup/items/SpeedPickup.h	(revision 9629)
@@ -75,5 +75,5 @@
         public:
 
-            SpeedPickup(BaseObject* creator); //!< Constructor.
+            SpeedPickup(Context* context); //!< Constructor.
             virtual ~SpeedPickup(); //!< Destructor.
 
Index: code/branches/core6/src/modules/pong/Pong.cc
===================================================================
--- code/branches/core6/src/modules/pong/Pong.cc	(revision 9628)
+++ code/branches/core6/src/modules/pong/Pong.cc	(revision 9629)
@@ -59,5 +59,5 @@
         Constructor. Registers and initializes the object.
     */
-    Pong::Pong(BaseObject* creator) : Deathmatch(creator)
+    Pong::Pong(Context* context) : Deathmatch(context)
     {
         RegisterObject(Pong);
@@ -129,5 +129,5 @@
             if (this->ball_ == NULL) // If there is no ball, create a new ball.
             {
-                this->ball_ = new PongBall(this->center_);
+                this->ball_ = new PongBall(this->center_->getContext());
                 // Apply the template for the ball specified by the centerpoint.
                 this->ball_->addTemplate(this->center_->getBalltemplate());
@@ -147,5 +147,5 @@
                 if (this->bat_[i] == NULL)
                 {
-                    this->bat_[i] = new PongBat(this->center_);
+                    this->bat_[i] = new PongBat(this->center_->getContext());
                     this->bat_[i]->addTemplate(this->center_->getBattemplate());
                 }
Index: code/branches/core6/src/modules/pong/Pong.h
===================================================================
--- code/branches/core6/src/modules/pong/Pong.h	(revision 9628)
+++ code/branches/core6/src/modules/pong/Pong.h	(revision 9629)
@@ -65,5 +65,5 @@
     {
         public:
-            Pong(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            Pong(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~Pong(); //!< Destructor. Cleans up, if initialized.
 
Index: code/branches/core6/src/modules/pong/PongAI.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongAI.cc	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongAI.cc	(revision 9629)
@@ -53,5 +53,5 @@
         Constructor. Registers and initializes the object.
     */
-    PongAI::PongAI(BaseObject* creator) : Controller(creator)
+    PongAI::PongAI(Context* context) : Controller(context)
     {
         RegisterObject(PongAI);
Index: code/branches/core6/src/modules/pong/PongAI.h
===================================================================
--- code/branches/core6/src/modules/pong/PongAI.h	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongAI.h	(revision 9629)
@@ -61,5 +61,5 @@
     {
         public:
-            PongAI(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            PongAI(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~PongAI();
 
Index: code/branches/core6/src/modules/pong/PongBall.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongBall.cc	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongBall.cc	(revision 9629)
@@ -51,6 +51,6 @@
         Constructor. Registers and initializes the object.
     */
-    PongBall::PongBall(BaseObject* creator)
-        : MovableEntity(creator)
+    PongBall::PongBall(Context* context)
+        : MovableEntity(context)
     {
         RegisterObject(PongBall);
Index: code/branches/core6/src/modules/pong/PongBall.h
===================================================================
--- code/branches/core6/src/modules/pong/PongBall.h	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongBall.h	(revision 9629)
@@ -59,5 +59,5 @@
     {
         public:
-            PongBall(BaseObject* creator);
+            PongBall(Context* context);
             virtual ~PongBall();
 
Index: code/branches/core6/src/modules/pong/PongBat.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongBat.cc	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongBat.cc	(revision 9629)
@@ -45,5 +45,5 @@
         Constructor. Registers and initializes the object.
     */
-    PongBat::PongBat(BaseObject* creator) : ControllableEntity(creator)
+    PongBat::PongBat(Context* context) : ControllableEntity(context)
     {
         RegisterObject(PongBat);
Index: code/branches/core6/src/modules/pong/PongBat.h
===================================================================
--- code/branches/core6/src/modules/pong/PongBat.h	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongBat.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            PongBat(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            PongBat(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~PongBat() {}
 
Index: code/branches/core6/src/modules/pong/PongBot.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongBot.cc	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongBot.cc	(revision 9629)
@@ -45,5 +45,5 @@
         Constructor. Registers the object and creates a PongAI controller.
     */
-    PongBot::PongBot(BaseObject* creator) : Bot(creator)
+    PongBot::PongBot(Context* context) : Bot(context)
     {
         RegisterObject(PongBot);
Index: code/branches/core6/src/modules/pong/PongBot.h
===================================================================
--- code/branches/core6/src/modules/pong/PongBot.h	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongBot.h	(revision 9629)
@@ -56,5 +56,5 @@
     {
         public:
-            PongBot(BaseObject* creator);
+            PongBot(Context* context);
             virtual ~PongBot() {}
     };
Index: code/branches/core6/src/modules/pong/PongCenterpoint.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongCenterpoint.cc	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongCenterpoint.cc	(revision 9629)
@@ -47,5 +47,5 @@
         Constructor. Registers and initializes the object and checks whether the gametype is actually Pong.
     */
-    PongCenterpoint::PongCenterpoint(BaseObject* creator) : StaticEntity(creator)
+    PongCenterpoint::PongCenterpoint(Context* context) : StaticEntity(context)
     {
         RegisterObject(PongCenterpoint);
Index: code/branches/core6/src/modules/pong/PongCenterpoint.h
===================================================================
--- code/branches/core6/src/modules/pong/PongCenterpoint.h	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongCenterpoint.h	(revision 9629)
@@ -121,5 +121,5 @@
     {
         public:
-            PongCenterpoint(BaseObject* creator); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Pong.
+            PongCenterpoint(Context* context); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Pong.
             virtual ~PongCenterpoint() {}
 
Index: code/branches/core6/src/modules/pong/PongScore.cc
===================================================================
--- code/branches/core6/src/modules/pong/PongScore.cc	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongScore.cc	(revision 9629)
@@ -50,5 +50,5 @@
         Constructor. Registers and initializes the object.
     */
-    PongScore::PongScore(BaseObject* creator) : OverlayText(creator)
+    PongScore::PongScore(Context* context) : OverlayText(context)
     {
         RegisterObject(PongScore);
Index: code/branches/core6/src/modules/pong/PongScore.h
===================================================================
--- code/branches/core6/src/modules/pong/PongScore.h	(revision 9628)
+++ code/branches/core6/src/modules/pong/PongScore.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            PongScore(BaseObject* creator);
+            PongScore(Context* context);
             virtual ~PongScore();
 
Index: code/branches/core6/src/modules/portals/PortalEndPoint.cc
===================================================================
--- code/branches/core6/src/modules/portals/PortalEndPoint.cc	(revision 9628)
+++ code/branches/core6/src/modules/portals/PortalEndPoint.cc	(revision 9629)
@@ -48,9 +48,9 @@
     std::map<unsigned int, PortalEndPoint *> PortalEndPoint::idMap_s;
 
-    PortalEndPoint::PortalEndPoint(BaseObject* creator) : StaticEntity(creator), RadarViewable(creator, static_cast<WorldEntity*>(this)), id_(0), trigger_(NULL), reenterDelay_(0)
+    PortalEndPoint::PortalEndPoint(Context* context) : StaticEntity(context), RadarViewable(this, static_cast<WorldEntity*>(this)), id_(0), trigger_(NULL), reenterDelay_(0)
     {
         RegisterObject(PortalEndPoint);
 
-        this->trigger_ = new DistanceMultiTrigger(this);
+        this->trigger_ = new DistanceMultiTrigger(this->getContext());
         this->trigger_->setName("portal");
         this->attach(this->trigger_);
@@ -61,5 +61,5 @@
         if( GameMode::isMaster() )
         {
-            this->portalSound_ = new WorldSound(this);
+            this->portalSound_ = new WorldSound(this->getContext());
             this->portalSound_->setLooping(false);
             this->attach(this->portalSound_);
Index: code/branches/core6/src/modules/portals/PortalEndPoint.h
===================================================================
--- code/branches/core6/src/modules/portals/PortalEndPoint.h	(revision 9628)
+++ code/branches/core6/src/modules/portals/PortalEndPoint.h	(revision 9629)
@@ -60,5 +60,5 @@
     {
         public:
-            PortalEndPoint(BaseObject* creator);
+            PortalEndPoint(Context* context);
             virtual ~PortalEndPoint();
 
Index: code/branches/core6/src/modules/portals/PortalLink.cc
===================================================================
--- code/branches/core6/src/modules/portals/PortalLink.cc	(revision 9628)
+++ code/branches/core6/src/modules/portals/PortalLink.cc	(revision 9629)
@@ -40,5 +40,5 @@
     std::map<PortalEndPoint *, PortalEndPoint *> PortalLink::links_s;
 
-    PortalLink::PortalLink(BaseObject* creator) : BaseObject(creator), fromID_(0), toID_(0), from_(0), to_(0)
+    PortalLink::PortalLink(Context* context) : BaseObject(context), fromID_(0), toID_(0), from_(0), to_(0)
     {
         RegisterObject(PortalLink);
Index: code/branches/core6/src/modules/portals/PortalLink.h
===================================================================
--- code/branches/core6/src/modules/portals/PortalLink.h	(revision 9628)
+++ code/branches/core6/src/modules/portals/PortalLink.h	(revision 9629)
@@ -54,5 +54,5 @@
     {
         public:
-            PortalLink(BaseObject* creator);
+            PortalLink(Context* context);
             virtual ~PortalLink();
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
Index: code/branches/core6/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/GlobalQuest.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/GlobalQuest.cc	(revision 9629)
@@ -47,5 +47,5 @@
         Constructor. Registers the object.
     */
-    GlobalQuest::GlobalQuest(BaseObject* creator) : Quest(creator)
+    GlobalQuest::GlobalQuest(Context* context) : Quest(context)
     {
         RegisterObject(GlobalQuest);
Index: code/branches/core6/src/modules/questsystem/GlobalQuest.h
===================================================================
--- code/branches/core6/src/modules/questsystem/GlobalQuest.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/GlobalQuest.h	(revision 9629)
@@ -90,5 +90,5 @@
     {
         public:
-            GlobalQuest(BaseObject* creator);
+            GlobalQuest(Context* context);
             virtual ~GlobalQuest();
 
Index: code/branches/core6/src/modules/questsystem/LocalQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/LocalQuest.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/LocalQuest.cc	(revision 9629)
@@ -47,5 +47,5 @@
         Constructor. Registers and initializes the object.
     */
-    LocalQuest::LocalQuest(BaseObject* creator) : Quest(creator)
+    LocalQuest::LocalQuest(Context* context) : Quest(context)
     {
         RegisterObject(LocalQuest);
Index: code/branches/core6/src/modules/questsystem/LocalQuest.h
===================================================================
--- code/branches/core6/src/modules/questsystem/LocalQuest.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/LocalQuest.h	(revision 9629)
@@ -84,5 +84,5 @@
     {
         public:
-            LocalQuest(BaseObject* creator);
+            LocalQuest(Context* context);
             virtual ~LocalQuest();
 
